summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--bind-next/127.0.0.zone10
-rw-r--r--bind-next/PKGBUILD126
-rw-r--r--bind-next/bind.install10
-rw-r--r--bind-next/localhost.ip6.zone10
-rw-r--r--bind-next/localhost.zone11
-rw-r--r--bind-next/named.conf57
-rw-r--r--bind-next/named.service10
-rw-r--r--bind-next/sysusers.conf1
-rw-r--r--bind-next/tmpfiles.conf1
9 files changed, 236 insertions, 0 deletions
diff --git a/bind-next/127.0.0.zone b/bind-next/127.0.0.zone
new file mode 100644
index 000000000..3c5c96493
--- /dev/null
+++ b/bind-next/127.0.0.zone
@@ -0,0 +1,10 @@
+@ 1D IN SOA localhost. root.localhost. (
+ 42 ; serial (yyyymmdd##)
+ 3H ; refresh
+ 15M ; retry
+ 1W ; expiry
+ 1D ) ; minimum ttl
+
+ 1D IN NS localhost.
+
+1.0.0.127.in-addr.arpa. 1D IN PTR localhost.
diff --git a/bind-next/PKGBUILD b/bind-next/PKGBUILD
new file mode 100644
index 000000000..2eb5376b0
--- /dev/null
+++ b/bind-next/PKGBUILD
@@ -0,0 +1,126 @@
+# Maintainer: Erich Eckner <arch at eckner dot net>
+# Contributor: Sébastien Luttringer
+# Contributor: Gaetan Bisson <bisson@archlinux.org>
+# Contributor: judd <jvinet@zeroflux.org>
+# Contributor: Mario Vazquez <mario_vazq@hotmail.com>
+
+_pkgver=9.16.16
+pkgname=bind-next
+_pkgnam=${pkgname%-*}
+pkgver=${_pkgver//-/.}
+pkgrel=1
+pkgdesc='A complete, highly portable implementation of the DNS protocol'
+url='https://www.isc.org/software/bind/'
+license=('MPL2')
+arch=('i486' 'i686' 'pentium4' 'x86_64')
+options=('!emptydirs')
+provides=($_pkgname=$pkgver)
+conflicts=($_pkgname)
+makedepends=('libcap' 'libxml2' 'zlib' 'krb5' 'e2fsprogs' 'openssl' 'readline'
+ 'libidn2' 'dnssec-anchors' 'python' 'json-c' 'python-ply' 'lmdb' 'zlib' 'icu'
+ 'xz' 'libmaxminddb' 'libnsl' 'libuv' 'python-sphinx')
+_pinned_dependencies=(
+ 'glibc>=2.33'
+ 'libcap.so=2'
+ 'libcom_err.so=2'
+ 'libedit.so=0'
+ 'libgssapi_krb5.so=2'
+ 'libidn2.so=0'
+ 'libjson-c.so=5'
+ 'libk5crypto.so=3'
+ 'libkrb5.so=3'
+ 'libmaxminddb=1.6.0'
+ 'libuv=1.41.0'
+ 'libxml2=2.9.10'
+ 'lmdb=0.9.29'
+ 'openssl=1.1.1.k'
+ 'zlib=1:1.2.11'
+)
+depends=('bash' 'dnssec-anchors' 'e2fsprogs' 'glibc' 'icu' 'libedit' 'json-c'
+ 'krb5' 'libcap' 'libidn2' 'libmaxminddb' 'libnsl' 'libuv' 'libxml2' 'lmdb'
+ 'openssl' 'python' 'python-ply' 'readline' 'xz' 'zlib' "${_pinned_dependencies[@]}")
+conflicts=('bind-tools' 'dnsutils')
+replaces=('bind-tools' 'dnsutils' 'host')
+provides=('bind-tools' 'dnsutils' 'dns-server')
+backup=('etc/named.conf'
+ 'var/named/127.0.0.zone'
+ 'var/named/localhost.zone'
+ 'var/named/localhost.ip6.zone')
+install=bind.install
+source=("https://users.isc.org/~ondrej/bind-${_pkgver%.*}.$((${_pkgver##*.}+1))-pre.tar.xz"
+ 'tmpfiles.conf'
+ 'sysusers.conf'
+ 'named.conf'
+ 'named.service'
+ 'localhost.zone'
+ 'localhost.ip6.zone'
+ '127.0.0.zone')
+sha256sums=('8d8b83c92788650bde2d6b7198660da41db7afa99da2490388a3a340fc53deb4'
+ 'f0423c4ee8495da487e07e9144bec1d25f46a0cd2dfa7cfd7a761ef15bfefc98'
+ '7c0acefcfcc3ae093550caed7ec90fe84bec8f7477459ffa7e71dda76bcbdb2c'
+ 'e08a01d41b18bdb771d534daca99642314939aafdb088e5cfcf0ef2d33f8e7eb'
+ '3f0f8db0a1deae270dd166b4750be7c1041b4b44891176f35a8df7dd55d24d34'
+ '0011708e516128647dd25b59b6ebc465f36e85bbe0a8fbdc3eb04b7f28c2197f'
+ 'c06fc270e32a843c8b6d86335a2ec607d405dfba6875de8d8a9abde39a9e2c17'
+ 'b88fd2b99e7d42d414b329b814b9ff3304fa0ef9c67df81bde235bbfa0f3a3b8')
+
+prepare() {
+ cd bind-$pkgver
+ # apply patch from the source array (should be a pacman feature)
+ local src
+ for src in "${source[@]}"; do
+ src="${src%%::*}"
+ src="${src##*/}"
+ [[ $src = *.patch ]] || continue
+ echo "Applying patch $src..."
+ patch -Np1 < "../$src"
+ done
+}
+
+build() {
+ cd bind-$pkgver
+ export CFLAGS
+ # support to chase DNSSEC signature chains
+ CFLAGS+=' -DDIG_SIGCHASE'
+ # compile with gcc10, https://gcc.gnu.org/gcc-10/porting_to.html
+ CFLAGS+=' -fcommon'
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --sbindir=/usr/bin \
+ --localstatedir=/var \
+ --disable-static \
+ --enable-fixed-rrset \
+ --enable-full-report \
+ --enable-dnsrps \
+ --with-python=/usr/bin/python \
+ --with-maxminddb \
+ --with-openssl \
+ --with-libidn2 \
+ --with-json-c \
+ --with-libxml2 \
+ --with-lmdb \
+ --with-libtool
+ make
+}
+
+package() {
+ cd "bind-$pkgver"
+ install -dm755 "$pkgdir/usr/share/licenses/$_pkgname/"
+ install -Dm644 LICENSE COPYRIGHT "$pkgdir/usr/share/licenses/$_pkgname/"
+ make DESTDIR="$pkgdir" install
+
+ cd "$srcdir"
+ install -D -m644 tmpfiles.conf "$pkgdir/usr/lib/tmpfiles.d/$_pkgname.conf"
+ install -D -m644 sysusers.conf "$pkgdir/usr/lib/sysusers.d/$_pkgname.conf"
+
+ install -D -m644 named.service "$pkgdir/usr/lib/systemd/system/named.service"
+ install -D -m640 -o 0 -g 40 named.conf "$pkgdir/etc/named.conf"
+
+ install -d -m770 -o 0 -g 40 "$pkgdir/var/named"
+ install -m640 -o 0 -g 40 localhost.zone "$pkgdir/var/named"
+ install -m640 -o 0 -g 40 localhost.ip6.zone "$pkgdir/var/named"
+ install -m640 -o 0 -g 40 127.0.0.zone "$pkgdir/var/named"
+}
+
+# vim:set ts=2 sw=2 et:
diff --git a/bind-next/bind.install b/bind-next/bind.install
new file mode 100644
index 000000000..8cf5b161e
--- /dev/null
+++ b/bind-next/bind.install
@@ -0,0 +1,10 @@
+## arg 1: the new package version
+## arg 2: the old package version
+post_upgrade() {
+ (( $(vercmp "$2" '9.14.8-2') > 0 )) || cat <<EOF
+==> Switched to geoip2 databases.
+==> Remember to update your configuration if you use geoip features.
+EOF
+}
+
+# vim:set ts=2 sw=2 ft=sh et:
diff --git a/bind-next/localhost.ip6.zone b/bind-next/localhost.ip6.zone
new file mode 100644
index 000000000..c021a28ce
--- /dev/null
+++ b/bind-next/localhost.ip6.zone
@@ -0,0 +1,10 @@
+@ 1D IN SOA localhost. root.localhost. (
+ 42 ; serial (yyyymmdd##)
+ 3H ; refresh
+ 15M ; retry
+ 1W ; expiry
+ 1D ) ; minimum ttl
+
+ 1D IN NS localhost.
+
+1.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.ip6.arpa. 1D IN PTR localhost.
diff --git a/bind-next/localhost.zone b/bind-next/localhost.zone
new file mode 100644
index 000000000..e87274dab
--- /dev/null
+++ b/bind-next/localhost.zone
@@ -0,0 +1,11 @@
+@ 1D IN SOA localhost. root.localhost. (
+ 42 ; serial (yyyymmdd##)
+ 3H ; refresh
+ 15M ; retry
+ 1W ; expiry
+ 1D ) ; minimum ttl
+
+ 1D IN NS localhost.
+
+localhost. 1D IN A 127.0.0.1
+localhost. 1D IN AAAA ::1
diff --git a/bind-next/named.conf b/bind-next/named.conf
new file mode 100644
index 000000000..2ac668d4c
--- /dev/null
+++ b/bind-next/named.conf
@@ -0,0 +1,57 @@
+// vim:set ts=4 sw=4 et:
+
+options {
+ directory "/var/named";
+ pid-file "/run/named/named.pid";
+
+ // Uncomment these to enable IPv6 connections support
+ // IPv4 will still work:
+ // listen-on-v6 { any; };
+ // Add this for no IPv4:
+ // listen-on { none; };
+
+ allow-recursion { 127.0.0.1; };
+ allow-transfer { none; };
+ allow-update { none; };
+
+ version none;
+ hostname none;
+ server-id none;
+};
+
+zone "localhost" IN {
+ type master;
+ file "localhost.zone";
+};
+
+zone "0.0.127.in-addr.arpa" IN {
+ type master;
+ file "127.0.0.zone";
+};
+
+zone "1.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.ip6.arpa" {
+ type master;
+ file "localhost.ip6.zone";
+};
+
+//zone "example.org" IN {
+// type slave;
+// file "example.zone";
+// masters {
+// 192.168.1.100;
+// };
+// allow-query { any; };
+// allow-transfer { any; };
+//};
+
+//logging {
+// channel xfer-log {
+// file "/var/log/named.log";
+// print-category yes;
+// print-severity yes;
+// severity info;
+// };
+// category xfer-in { xfer-log; };
+// category xfer-out { xfer-log; };
+// category notify { xfer-log; };
+//};
diff --git a/bind-next/named.service b/bind-next/named.service
new file mode 100644
index 000000000..e8625b14f
--- /dev/null
+++ b/bind-next/named.service
@@ -0,0 +1,10 @@
+[Unit]
+Description=Internet domain name server
+After=network.target
+
+[Service]
+ExecStart=/usr/bin/named -f -u named
+ExecReload=/usr/bin/kill -HUP $MAINPID
+
+[Install]
+WantedBy=multi-user.target
diff --git a/bind-next/sysusers.conf b/bind-next/sysusers.conf
new file mode 100644
index 000000000..b02acb172
--- /dev/null
+++ b/bind-next/sysusers.conf
@@ -0,0 +1 @@
+u named 40 "BIND DNS Server" -
diff --git a/bind-next/tmpfiles.conf b/bind-next/tmpfiles.conf
new file mode 100644
index 000000000..1cfc82d08
--- /dev/null
+++ b/bind-next/tmpfiles.conf
@@ -0,0 +1 @@
+d /run/named 0750 named named -